
package br.up.edu;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.xml.ws.Action;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.9-b130926.1035
 * Generated source version: 2.2
 * 
 */
@WebService(name = "WS", targetNamespace = "http://edu.up.br/")
@SOAPBinding(style = SOAPBinding.Style.RPC)
public interface WS {


    /**
     * 
     * @param arg1
     * @param arg0
     * @return
     *     returns double
     */
    @WebMethod
    @WebResult(partName = "return")
    @Action(input = "http://edu.up.br/WS/somarRequest", output = "http://edu.up.br/WS/somarResponse")
    public double somar(
        @WebParam(name = "arg0", partName = "arg0")
        double arg0,
        @WebParam(name = "arg1", partName = "arg1")
        double arg1);

}
